package org.ts.ddcs.DataItemTemplate;

import org.ts.ddcs.log.LogHelper;
import org.ts.ddcs.Tool.BytesHelp;

/**
 * 0xF1F1
 * 测站编码
 */
@SuppressWarnings("all")
public class DataItemTemplateST extends DataItemTemplate {

    @Override
    public byte[] Stream(byte[] data) {
        byte[] remain = data;
        if (this.macth) {
            return remain;
        }
        int count = 0;
        String flag = BytesHelp.byte2HexStr(remain, count, 1);
        count += 1;
        if (flag.equals(this.feture)) {
            byte[] len = BytesHelp.subBytes(remain, count, 1);
            count += 1;
            byte[] st = BytesHelp.subBytes(remain, count, 5);
            count += 5;
            this.varcharValue = BytesHelp.byte2HexStr(st);
            remain = BytesHelp.subBytes(remain, count, remain.length - count);
            this.macth = true;
        }
        return remain;

    }

}
